Multiple glib files found - how to fix?

*** ‘pkg-config --modversion glib-2.0’ returned 2.2.0, but GLIB (2.0.6) was found! If pkg-config was correct, then it is best to remove the old version of GLib. You may also be able to fix the error by modifying your LD_LIBRARY_PATH enviroment variable, or by editing /etc/ld.so.conf.
Make sure you have run ldconfig if that is required on your system. If pkg-config was wrong, set the environment variable PKG_CONFIG_PATH to point to the correct configuration files

i’ve edited the path in /etc/ld.so.conf to include /usr/local/lib , and run ldconfig afterwards. however, i still cannot find where the two libraries are. i have been adding all of these things to my mandrake 9.0 install in the hopes of getting gaim .61 to run.

gaim-0.61/
gaim-0.61.tar
glib-2.2.0/
glib-2.2.0.tar
pkgconfig-0.14.0/
pkgconfig-0.14.0.tar

right now, im stuck at the libraries part. i’m a little new with linux, so any help is appreciated, as its so easy to reinstall if i screw up.

so after all that, does anyone know or have any idea where the two separate libraries are stored at? i would think that they are in the same directory, but i havent cornered them yet.

A very fast way to search on a Linux filesystem is done by using the internal database. Although this database needs to be updated once every while, and the updating can last a couple minutes, it really provides quick results…

in a console, do this:

  1. upgradedb (and wait for some time)
  2. locate <filename> (or part of the filename

If everything turns out well, you’ll get a list of results. If the list is too long to read, use locate <var> |more

Good luck :slight_smile:

tried that one :smiley: - but it wasnt finding two files in the same place, or anything else that seemed helpful. im trying it again now…

/usr/local/lib/glib-2.0
/usr/local/lib/glib-2.0/include
/usr/local/lib/glib-2.0/include/glibconfig.h
/usr/local/lib/pkgconfig/glib-2.0.pc
/usr/local/lib/libglib-2.0.so.0.200.0
/usr/local/lib/libglib-2.0.so.0
/usr/local/lib/libglib-2.0.so
/usr/local/lib/libglib-2.0.la

got this back for returns that seemed pertinent.

/usr/lib/libglib-1.2.so.0
/usr/lib/libglib-1.2.so.0.0.10
/usr/lib/libglib-2.0.so.0.0.6
/usr/lib/libglib-2.0.so.0

also found this, on closer inspection. odd, though, that it said glib 2.2 and 2.0.6 were detected…ill post anything i figure out / break tomorrow night - thanks for making me do locate again :smiley: